Skip to main content
POST
/
v2
/
reporting
/
calls
/
call-outcomes
User Call Outcomes
curl --request POST \
  --url https://api.voxo.co/v2/reporting/calls/call-outcomes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "<string>",
  "endDate": "<string>"
}
'
{
  "tenantId": 123,
  "results": [
    {
      "callOutcomeId": 123,
      "callOutcomeName": "<string>",
      "total": 123,
      "peerName": "<string>",
      "name": "<string>",
      "date": "<string>",
      "outcomes": [
        {
          "callOutcomeId": 123,
          "callOutcomeName": "<string>",
          "total": 123
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
startDate
string
required

Start date for the report period

endDate
string
required

End date for the report period

distribution

Time distribution grouping (daily, weekly, monthly, or totals)

Available options:
weekly
direction

Call direction filter (IN or OUT)

Available options:
IN
callOutcome
number[]

Filter by call outcome IDs

Minimum array length: 1

Response

Call outcome statistics

tenantId
number
required

Tenant ID

results
object[]
required

Call outcome results